      SUBROUTINE CASCHG(CINP,COUT)
C! Convert any lower case to upper
      INCLUDE 'params.h'
      CHARACTER*(*) CINP
      CHARACTER*(*) COUT
      CHARACTER*1 CUP(26),CLO(26)
      DATA CUP /'A','B','C','D','E','F','G','H','I','J','K','L','M',
     &          'N','O','P','Q','R','S','T','U','V','W','X','Y','Z'/
      DATA CLO /'a','b','c','d','e','f','g','h','i','j','k','l','m',
     &          'n','o','p','q','r','s','t','u','v','w','x','y','z'/
      LEN = LENOCC(CINP)
      COUT = CINP
      DO 1 I=1,LEN
        DO 2 J=1,26
          IF(CINP(I:I).EQ.CLO(J)) THEN
            COUT(I:I) = CUP(J)
            GOTO 3
          ENDIF
   2    CONTINUE
        COUT(I:I) = CINP(I:I)
   3  CONTINUE
   1  CONTINUE
      END
